module jp.ku6.windows.win32api.objectarray;

import jp.ku6.windows.win32api.basetyps;
import jp.ku6.windows.win32api.windef;
import jp.ku6.windows.win32api.unknwn;


extern (Windows):

immutable IID IID_IObjectArray = {0x92CA9DCD, 0x5622, 0x4bba, [0xA8, 0x05, 0x5E, 0x9F, 0x54, 0x1B, 0xD8, 0xC9]};
interface IObjectArray : IUnknown
{
	HRESULT GetCount(UINT* pcObjects);
	HRESULT GetAt(UINT uiIndex, REFIID riid, void** ppv);
}

immutable IID IID_IObjectCollection = {0x5632b1a4, 0xe38a, 0x400a, [0x92, 0x8a, 0xd4, 0xcd, 0x63, 0x23, 0x02, 0x95]};
interface IObjectCollection : IObjectArray
{
	HRESULT AddObject(IUnknown punk);
	HRESULT AddFromArray(IObjectArray poaSource);
	HRESULT RemoveObjectAt(UINT uiIndex);
	HRESULT Clear();
}

